### Function

# Foundry subprocess_communicate_utf8

#### Declaration [src]

    DexFuture*
    foundry_subprocess_communicate_utf8 (
      GSubprocess* subprocess,
      const char* stdin_buf
    )

#### Description [src]

Like `g_subprocess_communicate_utf8()` but only supports stdout and is returned as a future to a string.

#### Parameters

`subprocess`

  Type: `GSubprocess`

  A `FoundrySubprocess`.

  The data is owned by the caller of the function.

`stdin_buf`

  Type: `const char*`

  The standard input buffer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string.

The caller of the function takes ownership of the data, and is responsible for freeing it.